function [H]=Homogeneidad2(img,E)
%Algoritmo Homogeneidad
%Funciona para imagenes segmentadas en tres regiones.
% H = 1 - max + min
%Prametros de ENTRADA
%   img: imagen
%   E: imagen segmentada.
%Parametros de SALIDA
%   H:Homogeneidad total de la imagen
[fil,col]=size(img);
i1=1;
i2=1;
i3=1;
R1=[];
R2=[];
R3=[];
H1=0;
H2=0;
H3=0;
for f=1:fil
    for c=1:col
        if(E(f,c)==1)
            R1(i1)=img(f,c);
            i1=i1+1;
        elseif (E(f,c)==2)
            R2(i2)=img(f,c);
            i2=i2+1;
        else
            R3(i3)=img(f,c);
            i3=i3+1;
        end
    end
end
H1=1-max(R1)+min(R1);
H2=1-max(R2)+min(R2);
H3=1-max(R3)+min(R3);
H=(H1+H2+H3)/3;
end