function [ mejorumbral1,mejorumbral2,segmentada ] = umb2( imagen,homogeneidad,ponderacion )

    
    hmax=-Inf;
    [filas,columnas]=size(imagen);
    total=filas*columnas;
%     segmentada=zeros(filas,columnas);
    for umbral1=0:254
        umbral1;
        for umbral2=(umbral1+1):255
            zona1=imagen(imagen<=umbral1);
            zona2=imagen(imagen>umbral1 & imagen<=umbral2);
            zona3=imagen(imagen>umbral2);
%             [x,y]=find(imagen<=umbral1);
%             zona1=zeros(1,length(x));
%             for i=1:length(x)
%                 zona1(i)=imagen(x(i),y(i));
%             end
            
%             [x,y]=find(imagen>umbral1 & imagen<=umbral2);
%             zona2=zeros(1,length(x));
%             for i=1:length(x)
%                 zona2(i)=imagen(x(i),y(i));
%             end
            
%             [x,y]=find(imagen>umbral2);
%             zona3=zeros(1,length(x));
%             for i=1:length(x)
%                 zona3(i)=imagen(x(i),y(i));
%             end
            
            h1=feval(homogeneidad,zona1/255);
            h2=feval(homogeneidad,zona2/255);
            h3=feval(homogeneidad,zona3/255);
            
            if strcmp(ponderacion,'no')
                h=(h1+h2+h3)/3;
            else
                h=h1*(length(zona1)/total)+h2*(length(zona2)/total)+h3*(length(zona3)/total);
            end
            
            if h>hmax
                mejorumbral1=umbral1;
                mejorumbral2=umbral2;
                hmax=h;
            end
            
        end
    end

    segmentada=(imagen>mejorumbral1 & imagen<=mejorumbral2).*0.5+(imagen>mejorumbral2).*1;
end

