%Algoritmo2 Area Algorithm
function[seg,T]=Area(im)
%Para imagenes segmentadas en dos zonas
%Prametros de ENTRADA
%   im: Imagen 

%Parametros de SALIDA
%   seg: imagen segmentada
%   T:umbral
[f,c]=size(im);
[counts,x]=imhist(im);
s=size(x);
mejorA=-inf;
for t=0:255,
    %(1)Seleccionar aut1 y aut2, segun los valores de la proposicion 7.
    %primer punto aut1=aut2=x                      a=1
    %segundo punto aut1=x^d con d<>0 y aut2(x)=x   a=2
    %Tercer punto aut1(x)=1-(1-x)^1/2 y aut2(x)=x  a=3
    mb=sum((x<=t).*x.*counts)/sum((x<=t).*counts);
    mo=sum((x>t).*x.*counts)/sum((x>t).*counts);
    Q(1:t)=1-abs(x(1:t)/255-mb/255);
    Q(t+1:256)=1-abs(x(t+1:256)/255-mo/255);
    a=2;
    d=1/2;
    A=CalculoArea(Q,counts,mb,mo,a,t,d);
    if A>mejorA,
        T=t;
        mejorA=A;
    end
end
seg=zeros(f,c);
seg(im<=T)=1;
seg(im>T)=2;
imshow(seg,[1,2]);
end

