function [ mejorumbral,segmentada ] = umb1( imagen,homogeneidad,ponderacion )

    
    hmax=-Inf;
    [filas,columnas]=size(imagen);
    total=filas*columnas;
    
    for umbral=0:255
        zona1=imagen(imagen<=umbral);
        zona2=imagen(imagen>umbral);
%         
%         [x,y]=find(imagen<=umbral);
%         zona1=zeros(1,length(x));
%         for i=1:length(x)
%             zona1(i)=imagen(x(i),y(i));
%         end
%         [x,y]=find(imagen>umbral);
%         zona2=zeros(1,length(x));
%         for i=1:length(x)
%             zona2(i)=imagen(x(i),y(i));
%         end
        h1=feval(homogeneidad,zona1/255);
        h2=feval(homogeneidad,zona2/255);
        if strcmp(ponderacion,'no')
            h=(h1+h2)/2;
        else
            h=h1*(length(zona1)/total)+h2*(length(zona2)/total);
        end
        
        if h>hmax
            mejorumbral=umbral;
            hmax=h;
        end
        
        
    end
    
    segmentada=imagen<=mejorumbral;

end

