%Algoritmo2 Area Algorithm
function[seg,T1,T2]=Area2(im)
%Para imagenes segmentadas en tres zonas
%Prametros de ENTRADA
%   im: Imagen 

%Parametros de SALIDA
%   seg:imagen segmentda
%   T1: Umbral
%   T2:umbral
[f,c]=size(im);
[counts,x]=imhist(im);
s=size(x);
mejorA=-inf;
m=[];
for ti=0:255,
    for tj=ti+1:255;
        %(1)Seleccionar automorfismo
        %primer punto aut1=x                           a=1
        %segundo punto aut1=x^d con d<>0               a=2        
        m(1)=sum((x<=ti).*x.*counts)/sum((x<=ti).*counts);
        m(2)=sum(((x>ti) & (x<=tj)).*x.*counts)/sum(((x>ti) & (x<=tj)).*counts);
        m(3)=sum((x>tj).*x.*counts)/sum((x>tj).*counts);
        Q(1:ti+1)=1-abs(x(1:ti+1)/255-m(1)/255);
        Q(ti+2:tj+1)=1-abs(x(ti+2:tj+1)/255-m(2)/255);
        Q(tj+2:256)=1-abs(x(tj+2:256)/255-m(3)/255);
        a=2;
        d=1/2;
        A=CalculoArea2(Q,counts,m,a,ti,tj,d);
        if A>mejorA,
            T1=ti;
            T2=tj;
            mejorA=A;
        end
    end
end
seg=zeros(f,c);
seg(im<=T1)=1;
seg(im>T1 & im<=T2)=2;
seg(im>T2)=3;
imshow(seg,[1,3]);
end

