function[A]=CalculoArea(Q,count,mb,mo,a,t,d)
%Algoritmo CalculoArea--> Hace uso de l "Area.m"
%Prametros de ENTRADA
%   Q: conjunto correspondiente al umbral t
%   count: vector con el numero de pixeles de cada intensidad.
%   mb: media de los valores anteriores a t
%   mo: media de los valores posteriores a t
%   a: Valor entre 1 y 3 que elige el tipo de automorfismo
%   t: umbral
%   d: solo tomara valor si a==2, para dal valor al exponente


%Parametros de SALIDA
%   A: area correspondiente al conjunto de umbral t.

if a==1,
    sum=0;
    for q=1:256,
        sum=sum+(count(q));
    end
    sum2=0;
    for q=1:t
        sum2=sum2+(count(q)*abs((q-mb)/256));
    end
    sum3=0;
    for q=t+1:256
        sum3=sum3+(count(q)*abs((q-mo)/256));
    end
    A=sum-(sum2+sum3);
else 
    sum=0;
    for q=1:t
        sum=sum+(count(q)*(1-(abs((q-mb)/256))^1/d));
    end
    sum2=0;
    for q=t+1:256
        sum2=sum2+(count(q)*(1-(abs((q-mb)/256))^1/d));
    end
    A=sum+sum2;

end