function[R]=CalculoArea2(Q,count,m,a,ti,tj,d)
%Algoritmo CalculoArea--> Hace uso de l "Area2.m"
%Prametros de ENTRADA
%   Q: conjunto correspondiente al umbral t
%   count: vector con el numero de pixeles de cada intensidad.
%   m: matriz con media de los valores 
%   a: Valor entre 1 y 3 que elige el tipo de automorfismo
%   t: umbral
%   d: solo tomara valor si a==2, para dal valor al exponente


%Parametros de SALIDA
%   A: area correspondiente al conjunto de umbral t.

if a==1,
    sum1=0;
    for q=1:256,
        sum1=sum1+(count(q));
    end
    sum2=0;
    for q=1:ti
        sum2=sum2+(count(q)*abs((q-m(1))/256));
    end
    sum3=0;
    for q=ti+1:tj
        sum3=sum3+(count(q)*abs((q-m(2))/256));
    end
    sum4=0;
    for q=tj+1:256
        sum4=sum4+(count(q)*abs((q-m(3))/256));
    end
    R=sum1-(sum2+sum3+sum4);
else 
    sum1=0;
    for q=1:ti
        sum1=sum1+(count(q)*(1-(abs((q-m(1))/256))^1/d));
    end
    sum2=0;
    for q=ti+1:tj
        sum2=sum2+(count(q)*(1-(abs((q-m(2))/256))^1/d));
    end
    sum3=0;
    for q=tj+1:256
        sum3=sum3+(count(q)*(1-(abs((q-m(3))/256))^1/d));
    end
    R=sum1+sum2+sum3;

end
end