function[seg,T]=REF1(im)
%Algoritmo 4--> Multilevel luminance thresholding.
% Para imagenes segmentadas en dos zonas
%Prametros de ENTRADA
%   im: Imagen original

%Parametros de SALIDA
    %seg: imagen segmentada
    %t:umbral

[f,c]=size(im); 
[counts,x]=imhist(im); 
s=size(x);
counts=counts';
x=x';
m=[];   
Q=zeros(1,256);   
i=1;
maxSimilaridad=-Inf;
mejorti=1;
mejortj=1;
sim=0;
for t=0:255,
    mb=sum((x<=t).*x.*counts)/sum((x<=t).*counts);
    mo=sum((x>t).*x.*counts)/sum((x>t).*counts);
    %Conjuntos difusos
    %(x<=ti).*x
    Q(1:t+1)=(1-abs(x(1:t+1)/255-mb/255)).^2;
    %((x>ti) & (x<=tj)).*x
    Q(t+1:256)=(1-abs(x(t+1:256)/255-mo/255)).^2;

    %Similaridad
    %sm1=sum(Q.*counts)/sum(counts);
    for i=1:256,
        sim=sim+(counts(i)*(1-abs(1-Q(i))^2));
    end
    sm=sim/sum(counts);
    if sm>maxSimilaridad,
        maxSimilaridad=sm;
        T=t;
    end
    sim=0;    
end
seg=zeros(f,c);
seg(im<=T)=1;
seg(im>T)=2;
imshow(seg,[1,2]);
end%Fin del algortimo