function[salida,t1,t2]=REF2(im)
%Algoritmo 4--> Multilevel luminance thresholding.
% Para imgenes segmentadas en tres zonas
%Prametros de ENTRADA
%   im: Imagen original

%Parametros de SALIDA
    %salida:imagen segmentada
    %t1:umbral
    %t2:umbral

[f,c]=size(im);
[counts,x]=imhist(im); 
s=size(x);
counts=counts';
x=x';
m=[]; 
Q=zeros(1,256);   
i=1;
maxSimilaridad=-Inf;
mejorti=1;
mejortj=1;
sim=0;
for ti=0:255,
    for tj=ti+1:255,
        m(1)=sum((x<=ti).*x.*counts)/sum((x<=ti).*counts);
        m(2)=sum(((x>ti) & (x<=tj)).*x.*counts)/sum(((x>ti) & (x<=tj)).*counts);
        m(3)=sum((x>tj).*x.*counts)/sum((x>tj).*counts);
        %Conjuntos difusos
        %(x<=ti).*x
        Q(1:ti+1)=(1-abs(x(1:ti+1)/255-m(1)/255)).^2;
        %((x>ti) & (x<=tj)).*x
        Q(ti+1:tj)=(1-abs(x(ti+1:tj)/255-m(2)/255)).^2;
        %(x>tj).*x
        Q(tj+1:256)=(1-abs(x(tj+1:256)/255-m(3)/255)).^2;
        %Similaridad
        %sm1=sum(Q.*counts)/sum(counts);
        for i=1:256,
            sim=sim+(counts(i)*(1-abs(1-Q(i))^2));
        end
        sm=sim/sum(counts);
        if sm>maxSimilaridad,
            maxSimilaridad=sm;
            mejorti=ti;
            mejortj=tj;
        end
        sim=0;
    end  
end
t1=mejorti;
t2=mejortj;
salida=zeros(f,c);
salida(im<=t1)=1;
salida(im>t1 & im<=t2)=2;
salida(im>t2)=3;
imshow(salida,[1,3]);
end%Fin del algortimo